Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap.hadoop.util
Class MeasuredOutputCollector

    java.lang.Object
      cascading.tap.hadoop.util.MeasuredOutputCollector

All Implemented Interfaces:
  Closeable, OutputCollector

    public class MeasuredOutputCollector

extends Object
implements OutputCollector, Closeable

Constructor Summary
`MeasuredOutputCollector(FlowProcess flowProcess, Enum counter)`
`MeasuredOutputCollector(FlowProcess flowProcess, Enum counter, OutputCollector outputCollector)`

Method Summary
`void` | `close()`
`void` | `collect(Object key, Object value)`
`OutputCollector` | `getOutputCollector()`
`void` | `setOutputCollector(OutputCollector outputCollector)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasuredOutputCollector

    public MeasuredOutputCollector(FlowProcess flowProcess,
                                   Enum counter)

### MeasuredOutputCollector

    public MeasuredOutputCollector(FlowProcess flowProcess,
                                   Enum counter,
                                   OutputCollector outputCollector)

Method Detail

### getOutputCollector

    public OutputCollector getOutputCollector()

### setOutputCollector

    public void setOutputCollector(OutputCollector outputCollector)

### collect

    public void collect(Object key,
                        Object value)
                 throws IOException

  Specified by:
    `collect` in interface `OutputCollector`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.